Subject: Re: [tcpm] TCP tuning

From: Mark Allman <[email-masked]>
Date: Mon, 15 Mar 2010 11:22:48 -0400

[These are re-sends from long ago... they never made it to the list.
 But, that seems to have been worked out, now.  --allman]

> I have seen cases where switches topple over initial receive window
> sizes as spec'd out by RFC 3390. In fact, RFC 3390 does state that the
> recommended IW value of 4 segments for 1500MSS can cause more loss in
> networks with higher segment drop rates. 

But, that is an old number.

We have to be careful with anecdotes here.  I.e., just because we know
of some thing-a-ma-bob that will have problems with RFC5681 initial
windows does not mean we shouldn't increase the initial window.  We
should not engineer for the ratty edge cases.

allman